<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../conf/connection.php');
   //si an pulsado el boton de enviar
  		//Construimos el query!
		    $idpedido = $_GET["idpedido"];
            $idplatos = $_GET["idplatos"];
			
			//restamos de la tabla "pedido"
			 
			$query_pedido="select * from pedido where idpedido='$idpedido'";
            $rs_query_pedido=mysql_query($query_pedido);
			$total_ped=mysql_result($rs_query_pedido,0,"total_venta");
			
			$query2="select * from detalles_pedido where numero='$idpedido' and idplatos='$idplatos'";
            $rs_query2=mysql_query($query2);
			$total_art=mysql_result($rs_query2,0,"valor_total");
			$cantidad=mysql_result($rs_query2,0,"cantidad");
			
			$total=$total_ped-$total_art;
			
			$query_up="UPDATE pedido SET  total_venta='$total' WHERE idpedido='$idpedido'";
            $rs_query_up=mysql_query($query_up);
			
			//modificar tabla "platos"
			 $query_mod="UPDATE platos SET stock_plato='stock_plato+$cantidad' WHERE art='$idplatos'";
             $rs_query_mod=mysql_query($query_mod);
			
			//eliminamos de la tabla "cartola historica"
			
			$query_del="DELETE * FROM cartola_historica WHERE art='$idplatos' and pedido='$idpedido'";
            $rs_query_del=mysql_query($query_del);
			
			//eliminamos de la tabla "detalles_pedido"
			$borrar="DELETE FROM detalles_pedido WHERE idplatos='$idplatos' AND numero='$idpedido'";
			mysql_query($borrar, $conn) or die("Error en el query: ".mysql_error());
			
			
			mysql_close($conn);
			?>
			
		<script>alert("Registro eliminado con exito!");</script>
	    <META HTTP-EQUIV="REFRESH" CONTENT="1;URL=modificar.php?idpedido=<? echo $idpedido ?>">
